PayNow

Customers

Get customers

GEThttps://api.paynow.gg/v1/stores/{storeId}/customers

Retrieves all customers for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve customers for.
Query parameters
searchstringOptional
customer_idFlakeId[]Optional
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
Response
200OKCustomerDto[]
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/customers" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "created_at": "2024-01-01T00:00:00Z",
    "id": "411486491630370816",
    "metadata": {},
    "store_id": "411486491630370816",
    "profile": {
      "id": "string",
      "name": "string",
      "platform": "steam",
      "avatar_url": "string"
    },
    "steam_id": "76561197960287930",
    "steam": {
      "avatar_url": "string",
      "id": "76561197960287930",
      "name": "string"
    },
    "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "minecraft": {
      "avatar_url": "string",
      "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "name": "notch"
    },
    "xbox_xuid": "string",
    "minecraft_platform": "unknown",
    "name": "m0uka",
    "updated_at": "2024-01-01T00:00:00Z"
  }
]

Create customer

POSThttps://api.paynow.gg/v1/stores/{storeId}/customers

Creates a new customer based on the fields passed.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to create the customer for.
Request body
metadataobjectOptional
Additional customer information stored as key-value pairs.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The Minecraft UUID for the customer.
namestringOptional
The name of the customer.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
xbox_xuidstringOptional
The Xbox XUID (Xbox User ID) for the customer.
Response
200OKCustomerDto
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/customers" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "steam_id": "76561197960287930",
  "minecraft_uuid": "string",
  "minecraft_platform": "unknown",
  "xbox_xuid": "string",
  "name": "string",
  "metadata": {}
}'
Response200
{
  "created_at": "2024-01-01T00:00:00Z",
  "id": "411486491630370816",
  "metadata": {},
  "store_id": "411486491630370816",
  "profile": {
    "id": "string",
    "name": "string",
    "platform": "steam",
    "avatar_url": "string"
  },
  "steam_id": "76561197960287930",
  "steam": {
    "avatar_url": "string",
    "id": "76561197960287930",
    "name": "string"
  },
  "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
  "minecraft": {
    "avatar_url": "string",
    "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "name": "notch"
  },
  "xbox_xuid": "string",
  "minecraft_platform": "unknown",
  "name": "m0uka",
  "updated_at": "2024-01-01T00:00:00Z"
}

Get customer by ID

GEThttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}

Retrieves a customer by the ID for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve the customer for.
customerIdFlakeIdRequired
The ID of the customer.
Response
200OKCustomerDto
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "created_at": "2024-01-01T00:00:00Z",
  "id": "411486491630370816",
  "metadata": {},
  "store_id": "411486491630370816",
  "profile": {
    "id": "string",
    "name": "string",
    "platform": "steam",
    "avatar_url": "string"
  },
  "steam_id": "76561197960287930",
  "steam": {
    "avatar_url": "string",
    "id": "76561197960287930",
    "name": "string"
  },
  "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
  "minecraft": {
    "avatar_url": "string",
    "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "name": "notch"
  },
  "xbox_xuid": "string",
  "minecraft_platform": "unknown",
  "name": "m0uka",
  "updated_at": "2024-01-01T00:00:00Z"
}

Update customer

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}

Updates an existing customer based on the fields passed.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to update the customer for.
customerIdFlakeIdRequired
Request body
metadataobjectOptional
Additional customer information stored as key-value pairs.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The Minecraft UUID for the customer.
namestringOptional
The name of the customer.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
xbox_xuidstringOptional
The Xbox XUID (Xbox User ID) for the customer.
Response
200OKCustomerDto
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "steam_id": "76561197960287930",
  "minecraft_uuid": "string",
  "minecraft_platform": "unknown",
  "xbox_xuid": "string",
  "name": "string",
  "metadata": {}
}'
Response200
{
  "created_at": "2024-01-01T00:00:00Z",
  "id": "411486491630370816",
  "metadata": {},
  "store_id": "411486491630370816",
  "profile": {
    "id": "string",
    "name": "string",
    "platform": "steam",
    "avatar_url": "string"
  },
  "steam_id": "76561197960287930",
  "steam": {
    "avatar_url": "string",
    "id": "76561197960287930",
    "name": "string"
  },
  "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
  "minecraft": {
    "avatar_url": "string",
    "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "name": "notch"
  },
  "xbox_xuid": "string",
  "minecraft_platform": "unknown",
  "name": "m0uka",
  "updated_at": "2024-01-01T00:00:00Z"
}

Create customer token

POSThttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/tokens

Generates a customer token that can be used by the Storefront (Headless) API.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to generate the customer token for.
customerIdFlakeIdRequired
The ID of the customer to generate the customer token for.
Response
200OKCustomerTokenResponseDto
Show fields
tokenstringRequired
The generated Customer token.

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/tokens" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "token": "string"
}

Invalidate customer tokens

DELETEhttps://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/tokens

Invalidates all generated customer tokens.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to invalidate the customer tokens for.
customerIdFlakeIdRequired
The ID of the customer to invalidate the customer tokens for.
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/customers/{customerId}/tokens" \
  -H "Authorization: APIKey TOKEN"

Lookup customer

GEThttps://api.paynow.gg/v1/stores/{storeId}/customers/lookup

Looks up a customer by an external platform ID.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve the customer for.
Query parameters
idstringOptional
Looks up customer by PayNow Customer ID.
steam_idSteamIdOptional
Looks up customer by Steam ID 64.
minecraft_uuidstringOptional
Looks up customer by a Minecraft UUID.
xbox_xuidstringOptional
Looks up customer by an Xbox XUID.
minecraft_java_namestringOptional
Looks up customer by Minecraft Java name.
minecraft_bedrock_namestringOptional
Looks up customer by Minecraft Bedrock name.
namestringOptional
Looks up customer by a PayNow Customer Name. Name has to be explicitly set in the Customer entity - profile names won't be matched.
Response
200OKCustomerDto
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/customers/lookup" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "created_at": "2024-01-01T00:00:00Z",
  "id": "411486491630370816",
  "metadata": {},
  "store_id": "411486491630370816",
  "profile": {
    "id": "string",
    "name": "string",
    "platform": "steam",
    "avatar_url": "string"
  },
  "steam_id": "76561197960287930",
  "steam": {
    "avatar_url": "string",
    "id": "76561197960287930",
    "name": "string"
  },
  "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
  "minecraft": {
    "avatar_url": "string",
    "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "name": "notch"
  },
  "xbox_xuid": "string",
  "minecraft_platform": "unknown",
  "name": "m0uka",
  "updated_at": "2024-01-01T00:00:00Z"
}

Bulk create customers

POSThttps://api.paynow.gg/v1/stores/{storeId}/customers/bulk

Creates up to 200 customers at once.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to create the customers for.
Request body
metadataobjectOptional
Additional customer information stored as key-value pairs.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The Minecraft UUID for the customer.
namestringOptional
The name of the customer.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
xbox_xuidstringOptional
The Xbox XUID (Xbox User ID) for the customer.
Response
200OKCustomerDto[]
Represents a customer in the PayNow system with their associated profiles and metadata.
Show fields
created_atstringRequired
The date and time when the customer was created in the system.
idFlakeIdRequired
metadataobjectRequired
Additional custom data associated with the customer.
store_idFlakeIdRequired
minecraftCustomerMinecraftProfileDtoOptional
Represents a Minecraft profile for a customer.
avatar_urlstringRequired
The URL to the player's Minecraft skin rendered as an avatar.
idstringRequired
The UUID of the Minecraft player. If the platform is Minecraft Offline, this will be the name itself. If the platform is Minecraft Geyser, and this is a Bedrock account, this ID will be an Xbox XUID.
namestringRequired
The username of the Minecraft player.
minecraft_platformenumOptional
Possible enum values
  • unknown
  • java
  • bedrock
minecraft_uuidstringOptional
The customer's Minecraft UUID, if they have linked their Minecraft account. Not set for offline Minecraft stores. If the platform type is Minecraft - Geyser, and the profile is a bedrock account, this will be a UUID generated from the Xbox XUID.
namestringOptional
The display name for the customer.
profileCustomerGenericProfileDtoOptional
Represents a generic platform profile for a customer.
idstringRequired
The platform-specific identifier for the profile.
namestringRequired
The display name of the user on this platform.
platformstringRequired
The name of the platform this profile belongs to.
avatar_urlstringOptional
The URL to the user's avatar image on this platform.
steamCustomerSteamProfileDtoOptional
Represents a Steam profile for a customer.
avatar_urlstringRequired
The URL to the user's Steam avatar image.
idSteamIdRequired
A 64-bit Steam account identifier. Accepts string or numeric format.
namestringRequired
The display name of the user on Steam.
steam_idSteamIdOptional
A 64-bit Steam account identifier. Accepts string or numeric format.
updated_atstringOptional
The date and time when the customer was last updated, if applicable.
xbox_xuidstringOptional
The customer's Xbox XUID, if available.

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/customers/bulk" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "steam_id": "76561197960287930",
    "minecraft_uuid": "string",
    "minecraft_platform": "unknown",
    "xbox_xuid": "string",
    "name": "string",
    "metadata": {}
  }
]'
Response200
[
  {
    "created_at": "2024-01-01T00:00:00Z",
    "id": "411486491630370816",
    "metadata": {},
    "store_id": "411486491630370816",
    "profile": {
      "id": "string",
      "name": "string",
      "platform": "steam",
      "avatar_url": "string"
    },
    "steam_id": "76561197960287930",
    "steam": {
      "avatar_url": "string",
      "id": "76561197960287930",
      "name": "string"
    },
    "minecraft_uuid": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
    "minecraft": {
      "avatar_url": "string",
      "id": "f84c6a79-0a4e-45e0-879b-cd49ebd4c4e2",
      "name": "notch"
    },
    "xbox_xuid": "string",
    "minecraft_platform": "unknown",
    "name": "m0uka",
    "updated_at": "2024-01-01T00:00:00Z"
  }
]